Can I use the new experimental (V3) API in production?

0.13 introduced API V3 (“new style” Datasources and Modular Expectations).
V3 API is marked as experimental and it lives side by side with the stable V2 API.
We are actively working on incorporating user feedback, documenting the new V3 API, and making the CLI work with it.
Currently we recommend to always install the latest 0.13.x release in order to keep up to date with various enhancements and bug fixes. For production deployments we recommend to use the stable V2 API. We encourage experimenting with V3 API in separate projects. Within a few weeks we will announce in Slack when V3 is ready to be used in production deployments.

3 Likes

We’ve added new documentation since this post to further clarify our recommended approach to choosing between v2 and v3 APIs. See the docs below:

Migrating between versions — great_expectations documentation